<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb609e71ce125525_56219486/operators/FlowchartOperator_lb609e71ce125525_56219486.php';

class OnLinkChangeOperator_lb609e71ce125525_56219486 extends FlowchartOperator_lb609e71ce125525_56219486{

    protected $objectBean;
    protected $subjectBean;

    protected $objectModule;
    protected $subjectModule;
    protected $linkName;
    protected $eventType;

    public function __construct($params){
        parent::__construct($params);
    }

    public function process($params = array()){
        $this->objectBean = $params['objectEntity'];
        $this->subjectBean = $params['subjectEntity'];
    }

    public function setInDataPorts($params){
        parent::setInDataPorts($params);

        $this->objectModule = $this->inDataPorts['objectModule']['value'];
        $this->subjectModule = $this->inDataPorts['subjectModule']['value'];
        $this->linkName = $this->inDataPorts['linkName']['value'];
        $this->eventType = $this->inDataPorts['eventType']['value'];
    }

    public function getModuleName(){
        return $this->objectModule;
    }

    public function getRelatedModule(){
        return $this->subjectModule;
    }

    public function getLinkName(){
        return $this->linkName;
    }

    public function getEventType(){
        return $this->eventType;
    }

    public function getEventName(){
        return 'hook';
    }

    public function getOutDataByPortId($portId){
        if($portId == 'objectEntity')
            return $this->objectBean;
        elseif($portId == 'subjectEntity'){
            return $this->subjectBean;
        }
        return '';
    }

}
